"""add table pull_requests

Revision ID: f96a0f70e7a1
Revises: 
Create Date: 2021-08-21 14:26:21.109899

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f96a0f70e7a1'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('comments',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('pull_request_id', sa.Integer(), nullable=False),
    sa.Column('comment_id', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.TIMESTAMP(), nullable=False),
    sa.Column('body', sa.Text(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_comments_pull_request_id'), 'comments', ['pull_request_id'], unique=False)
    op.create_table('pull_requests',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('owner_login', sa.VARCHAR(length=255), nullable=False),
    sa.Column('repo_name', sa.VARCHAR(length=255), nullable=False),
    sa.Column('installation_id', sa.Integer(), nullable=False),
    sa.Column('number', sa.Integer(), nullable=False),
    sa.Column('state', sa.VARCHAR(length=255), nullable=False),
    sa.Column('locked', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(), nullable=False),
    sa.Column('last_comment_at', sa.TIMESTAMP(), nullable=True),
    sa.Column('comment_or_not', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_pull_requests_locked'), 'pull_requests', ['locked'], unique=False)
    op.create_index(op.f('ix_pull_requests_state'), 'pull_requests', ['state'], unique=False)
    op.create_index('owner_repo_num', 'pull_requests', ['owner_login', 'repo_name', 'number'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('owner_repo_num', table_name='pull_requests')
    op.drop_index(op.f('ix_pull_requests_state'), table_name='pull_requests')
    op.drop_index(op.f('ix_pull_requests_locked'), table_name='pull_requests')
    op.drop_table('pull_requests')
    op.drop_index(op.f('ix_comments_pull_request_id'), table_name='comments')
    op.drop_table('comments')
    # ### end Alembic commands ###
